name: Build & Deploy to DigitalOcean Space
run-name: ${{ gitea.actor }} is pushing a new build
on:
  push:
    branches:
      - main
jobs:
  build:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/checkout@v4
    - uses: srt32/git-actions@master
      with:
        args: "git submodule update --init --recursive"
    - uses: peaceiris/actions-hugo@v3
      with:
        hugo-version: '0.125.5'
        extended: true
    - run: hugo --minify
    - uses: BetaHuhn/do-spaces-action@v2
      with:
        access_key: ${{ secrets.ACCESS_KEY }}
        secret_key: ${{ secrets.SECRET_KEY }}
        space_name: ${{ secrets.SPACE_NAME }}
        space_region: ${{ secrets.SPACE_REGION }}
        source: ./public/
